#!/bin/sh
## D4 4.0.4 ICS root script
## original idea by miloj @ xda-developers
## technique adopted by buddyrich (aka rick#2)
CUR_DIR=$(pwd -P)

echo "Pushing files from root package to device..."
adb push busybox /data/local/12m/
adb push debugfs /data/local/12m/
adb push rooter /data/local/12m/
adb push su /data/local/12m/

echo "Removing local copies."
rm ${CUR_DIR}/busybox
rm ${CUR_DIR}/debugfs
rm ${CUR_DIR}/rooter
rm ${CUR_DIR}/su

echo "Setting permissions."
adb shell chmod 755 /data/local/12m/busybox
adb shell chmod 755 /data/local/12m/debugfs
adb shell chmod 755 /data/local/12m/rooter
adb shell chmod 755 /data/local/12m/su

adb shell mv /data/local/12m/batch /data/local/12m/batch.bak
adb shell ln -s /dev/block/mmcblk1p20 /data/local/12m/batch

echo "Rebooting device..."
adb reboot
echo "Waiting for device to boot..."
adb wait-for-device shell /data/local/12m/rooter
adb shell rm /data/local/12m/rooter
echo "Rebooting device..."
adb reboot
echo "Rooted."
